Name:          libcap
Version:       2.34
Release:       1mamba
Summary:       POSIX 1003.1e capabilities
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.it.kernel.org/pub/linux/libs/security/linux-privs/
Source:        https://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/libcap-%{version}.tar.xz
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
## AUTOBUILDREQ-BEGIN
BuildRequires: ldconfig
## AUTOBUILDREQ-END
BuildRequires: libattr-devel
BuildRequires: pam-devel
%ifarch x86_64_disabled
BuildRequires: gcc-multilib
BuildRequires: glibc-multilib-devel
BuildRequires: lib32-libattr-devel
%endif
Requires(post): libcap-tools = %{version}-%{release}
Obsoletes:     libcap1

%description
POSIX 1003.1e capabilities.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{version}-%{release}
Obsoletes:      libcap1-devel

%description devel
POSIX 1003.1e capabilities
This package contains static libraries and header files need for development.

%package tools
Group:         System/Tools
Summary:       Tools for %{name}
Requires:      %{name} = %{version}-%{release}

%description tools
POSIX 1003.1e capabilities
This package contains tools for %{name}.

%package -n lib32-%{name}
Summary:       POSIX 1003.1e capabilities
Group:         System/Libraries

%description -n lib32-%{name}
POSIX 1003.1e capabilities (32 bit).

%package -n lib32-%{name}-devel
Summary:       Devel package for lib32-%{name}
Group:         Development/Libraries
Requires:      lib32-%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib32-%{name}-devel
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%make -j1 \
   GOLANG=no \
   CC=%{_host}-gcc \
   BUILD_CC=%{_build}-gcc \
   LIBDIR=%{_libdir} \
%if "%{_host}" != "%{_build}"
   LDFLAGS="-lcrypt -lattr -L../libcap/"
%endif

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man8
%makeinstall \
   GOLANG=no \
   FAKEROOT=%{buildroot} \
   RAISE_SETFCAP=no \
   LIBDIR=%{_libdir}

install -Dm644 pam_cap/capability.conf \
  %{buildroot}%{_docdir}/libcap/capability.conf.example

chmod +x %{buildroot}%{_libdir}/libcap.so.*

# remove conflicting man pages
rm -f %{buildroot}%{_mandir}/man2/capset*
rm -f %{buildroot}%{_mandir}/man2/capget*

%ifarch x86_64_disabled
# x86_64 lib64 support
make clean
make \
   CC=%{_host}-gcc \
   BUILD_CC=%{_build}-gcc \
   LIBDIR=/lib \
   CFLAGS="%{optflags} -m32" \
   CXXLAGS="%{optflags} -m32" \
   PAM_CAP=no

make install \
   FAKEROOT=`pwd`/lib32 \
   RAISE_SETFCAP=no \
   LIBDIR=`pwd`/lib32/lib

rm -f lib32/lib/security/pam_cap.so
cp -a lib32/lib %{buildroot}/
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
if [ $1 -ge 1 ]; then
   /sbin/setcap cap_setfcap=i /sbin/setcap
fi
:

%postun -p /sbin/ldconfig

%post -n lib32-%{name} -p /sbin/ldconfig
%postun -n lib32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcap.so.*
%{_libdir}/security/pam_cap.so

%files devel
%defattr(-,root,root)
%{_includedir}/sys/capability.h
%{_includedir}/sys/psx_syscall.h
%{_libdir}/libcap.a
%{_libdir}/libcap.so
%{_libdir}/libpsx.a
#%ifarch x86_64
#%dir %{_datadir}/gocode/src/libcap
#%dir %{_datadir}/gocode/src/libcap/cap
#%{_datadir}/gocode/src/libcap/cap/*.go
#%dir %{_datadir}/gocode/src/libcap/psx
#%{_datadir}/gocode/src/libcap/psx/*.go
#%endif
%{_libdir}/pkgconfig/libcap.pc
%{_libdir}/pkgconfig/libpsx.pc
%{_mandir}/man3/*.3*

%files tools
%defattr(-,root,root)
/sbin/capsh
/sbin/getcap
/sbin/getpcaps
/sbin/setcap
%{_mandir}/man1/capsh.1*
%{_mandir}/man8/getcap.8*
%{_mandir}/man8/getpcaps.8*
%{_mandir}/man8/setcap.8*
%{_docdir}/libcap/capability.conf.example
%doc README

%ifarch x86_64_disabled
%files -n lib32-%{name}
%defattr(-,root,root)
/lib/libcap.so.*

%files -n lib32-%{name}-devel
%defattr(-,root,root)
/lib/libcap.a
/lib/libcap.so
%endif

%changelog
* Sun May 24 2020 Automatic Build System <autodist@mambasoft.it> 2.34-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 2.33-1mamba
- automatic version update by autodist

* Sat Feb 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32-1mamba
- update to 2.32

* Fri Feb 14 2020 Automatic Build System <autodist@mambasoft.it> 2.31-1mamba
- automatic version update by autodist

* Sat Apr 20 2019 Automatic Build System <autodist@mambasoft.it> 2.27-1mamba
- automatic version update by autodist

* Tue Dec 04 2018 Automatic Build System <autodist@mambasoft.it> 2.26-1mamba
- automatic version update by autodist

* Wed Jun 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.25-2mamba
- libcap: require libcap-tools

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 2.25-1mamba
- automatic version update by autodist

* Thu Jan 09 2014 Automatic Build System <autodist@mambasoft.it> 2.24-1mamba
- automatic version update by autodist

* Mon Jan 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.23-1mamba
- update to 2.23

* Tue Aug 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.22-1mamba
- update to 2.22

* Mon Jan 18 2010 Automatic Build System <autodist@mambasoft.it> 2.19-1mamba
- automatic update by autodist

* Fri Aug 28 2009 Automatic Build System <autodist@mambasoft.it> 2.17-1mamba
- automatic update by autodist

* Sat Jan 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16-1mamba
- automatic update by autodist

* Wed Nov 28 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.02-1mamba
- update to 2.02

* Sun Feb 20 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10-1qilnx
- package created by autospec
